class PaymentGatewayAuditJob < ApplicationJob
  queue_as :high_priority

  def perform(data)
    # byebug
    PaymentGatewayAudit.record(
      receipt_no: data[:receipt_no],
      gateway_name: "MMQR",
      endpoint_url: data[:endpoint_url],
      event_type: data[:event_type],
      request_body: data[:request_body],
      response_body: data[:response_body],
      request_method: "POST",
      shop_code: data[:shop_code],
    )
  end
end
